## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Circular test dependency on conda-build
%bcond_with bootstrap

Name:           python-conda-index
Version:        0.5.0
Release:        %autorelease
Summary:        Create repodata.json for collections of conda packages
License:        BSD-3-Clause
URL:            https://github.com/conda/conda-index
Source0:        https://github.com/conda/conda-index/archive/%{version}/conda-index-%{version}.tar.gz
# Fix for tests with updated conda-build
Patch:          https://github.com/conda/conda-index/commit/8cb985ac8fc2df52183748fb2fb0cf6ac065a431.patch
BuildRequires:  make
BuildArch:      noarch

%global _description %{expand:
Create repodata.json for collections of conda packages.

The conda_index command operates on a channel directory. A channel directory
contains a noarch subdirectory at a minimum and will almost always contain
other subdirectories named for conda's supported platforms linux-64, win-64,
osx-64, etc. A channel directory cannot have the same name as a supported
platform. Place packages into the same platform subdirectory each archive was
built for. Conda-index extracts metadata from these packages to generate
index.html, repodata.json etc. with summaries of the packages' metadata. Then
conda uses the metadata to solve dependencies before doing an install.

By default, the metadata is output to the same directory tree as the channel
directory, but it can be output to a separate tree with the --output <output>
parameter. The metadata cache is always placed with the packages, in .cache
folders under each platform subdirectory.

After conda-index has finished, its output can be used as a channel conda
install -c file:///path/to/output ... or it would typically be placed on a
web server.
}

%description %_description


%package -n python%{python3_pkgversion}-conda-index
Summary:        %{summary}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-myst-parser
BuildRequires:  python%{python3_pkgversion}-sphinx-click

%description -n python%{python3_pkgversion}-conda-index %_description

%prep
%autosetup -p1 -n conda-index-%{version}
# do not run coverage in pytest
sed -i -E '/".*cov.*"/d' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires %{!?with_bootstrap:-x test}


%build
%pyproject_wheel
make man


%install
%pyproject_install
%pyproject_save_files -l conda_index
mkdir -p %{buildroot}%{_mandir}/man1
install -m644 build/man/conda-index.1 %{buildroot}%{_mandir}/man1/


%if %{without bootstrap}
%check
%pytest -v -W ignore::DeprecationWarning
%endif


%files -n python%{python3_pkgversion}-conda-index -f %pyproject_files
%doc CHANGELOG.md README.md
%{_mandir}/man1/conda-index.1*


%changelog
## START: Generated by rpmautospec
* Wed Feb 26 2025 Karolina Surma <ksurma@redhat.com> - 0.5.0-2
- Assert a license is always detected with the files

* Tue Feb 25 2025 Orion Poplawski <orion@nwra.com> - 0.5.0-1
- Update to 0.5.0

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Python Maint <python-maint@redhat.com> - 0.4.0-3
- Finish Python 3.13 bootstrap

* Sat Jun 29 2024 Python Maint <python-maint@redhat.com> - 0.4.0-2
- Bootstrap for Python 3.13

* Sat Feb 17 2024 Orion Poplawski <orion@nwra.com> - 0.4.0-1
- Update to 0.4.0

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Dec 13 2023 Orion Poplawski <orion@nwra.com> - 0.3.0-2
- Disable bootstrap

* Tue Dec 05 2023 Orion Poplawski <orion@nwra.com> - 0.3.0-1
- Initial import
## END: Generated by rpmautospec
